<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a href="">Home ></a>
            </li>
            <li class="">
                Rider

            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-6">
                        <a href="" style="text-decoration: none;color: black;">
                            <h5>Rider Detail</h5>
                        </a>

                    </div>
                    <div class="col-6 txtright">
                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportAsXLSX()">
                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                        </button>
                    </div>
                </div>
                <hr>
                <div class="row py-2">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                        <div class="d-flex flex-row bd-highlight mb-3">
                            <div class="p-2 bd-highlight">
                                <!-- <button class="btn btnclrs adduser" tabindex="0">
                                    <i class="fa fa-plus-circle pr-1"></i>
                                    Add Traveller
                                </button> -->
                            </div>
                            <div class="p-2 bd-highlight">
                                <!-- <button class="btn doubleleft adduser" tabindex="0">
                                    <i class="fa fa-angle-double-left" aria-hidden="true"></i>
                                    Back
                                </button> -->
                            </div>
                           
                          </div>
                    </div>
                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search Rider..." type="text" [(ngModel)]="searchText">
                                <div class="input-group-append">
                                    <span class="input-group-text btnclrs">
                                        <i class="fa fa-search"></i>
                                    </span>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <!-- <div class="AddTrvellers">
                    <form action="" autocomplete="off">
                <div class="row py-2">
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="text" class="form-control" name="name" placeholder="Name">
                    </div>
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="email" class="form-control" name="email" placeholder="Email">
                    </div>
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="tel" class="form-control" name="phoneNumber" placeholder="Phone Number">
                    </div>
                    
                </div>
                <div class="row py-2">
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="email" class="form-control" name="organizationEmail" placeholder="Organization Enail">
                    </div>
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="password" class="form-control" name="password" placeholder="password">
                    </div>
                </div>
                <button type="submit"class="btn btnclrs mr-auto">Submit</button>
            </form>
            </div> -->
                <div class="table-responsive py-2">
                    <table class="table table-striped table-bordered table-hover">
                        <thead>
                            <tr>
                                <th scope="col">S/No</th>
                                <th>Profile</th>
                                <th scope="col">First Name</th>
                                <th scope="col">Last Name</th>
                                <th scope="col">Email</th>
                                <th>Organization Email</th>
                                <th scope="col">Mobile</th>
                                <th scope="col">Organization name</th>
                                <th scope="col">Gender</th>
                                <th scope="col">Verified Status</th>
                                <th>View More</th>
                               <th>Actions</th>
                                <!-- <th>Send Mail</th> -->
                                <!-- <th>Kyc Document approval/Reject </th> -->
                               
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor ="let rider of getRiderArray | filter:searchText | paginate: { itemsPerPage: 25, currentPage: p };index as i">
                                <th *ngIf="p>1">{{((p-1)*25)+(i+1)}}</th>
                                <th *ngIf="p===1">{{i+1}}</th>
                                <td><img class="rounded-circle" [src]="getUrl(rider.profilepic.filename)" alt="" width="75" height="75"></td>
                                <td>{{rider.firstname}}</td>
                                <td>{{rider.lastname}}</td>
                                <td>{{rider.personalEmail}}</td>
                                <td>{{rider.organizationEmail}}</td>
                                <td>{{rider.mobile}}</td>
                            
                                <td>{{rider.organizationName}}</td>
                                <td>{{rider.gender}}</td>
                                <td>
                                    <ui-switch [(ngModel)]="rider.verifiedRiderStatus"></ui-switch>
                                </td>
                                <td>
                                    <span class="pr-2" tabindex="0" [routerLink] = "['rider', rider.uid]">
                                        <i class="fa fa-eye edit_icn" aria-hidden="true"></i>
                                    </span>   
                                </td>   
                               <!-- <td >
                                   <a>
                                    <i class="fa fa-pencil fa-lg" aria-hidden="true"  ></i>
                                   </a>
                                 
                               </td> -->
                               <td >
                                <a (click)="deleteRiderFirebase(rider.uid)">
                                    <i class="fa fa-trash fa-lg" aria-hidden="true"></i>
                                </a>
                              
                            </td>
                                <!-- <td>
                                    <span class="pr-2" tabindex="0" (click)="openEmail()">
                                        <img src="assets/iconfinder_mail_reply_11296.png" alt="" class="img_email">

                                    </span>
                                </td> -->
                                <!-- <td>
                                    <ui-switch></ui-switch>
                                </td> -->
                               
                            </tr>

                        </tbody>
                    </table>
                    
                </div>
             
                <div class="text-center">
                    <pagination-controls (pageChange)="p = $event"></pagination-controls>
                </div>
            </div>
        </div>
    </div>
</section>


